<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.RepMgrStartClient Method (Int32, Boolean)
DatabaseEnvironment Class See Also

Start the replication manager as a client site, and optionally call for an election.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public void RepMgrStartClient(
    	int nthreads,
    	bool holdElection
    )

Visual Basic (Declaration)

    Public Sub RepMgrStartClient ( _
    	nthreads As Integer, _
    	holdElection As Boolean _
    )

Visual C++

    public:
    void RepMgrStartClient(
    	int nthreads,
    	bool holdElection
    )

#### Parameters

nthreads
  Type: System..::.Int32
  Specify the number of threads of control created and dedicated to processing replication messages. In addition to these message processing threads, the replication manager creates and manages a few of its own threads of control.

holdElection
  Type: System..::.Boolean
  If true, start as a client, and call for an election if no master is found.

# See Also

DatabaseEnvironment Class
RepMgrStartClient Overload
BerkeleyDB Namespace